RavenDB version 2.0. Other versions:

System Requirements

RavenDB comes in several flavors. Listed below are the system requirements for each.

Lightweight Client

  • .NET Framework 4.0 Client Profile
  • The client doesn't require Windows and can run on Mono.

Silverlight Client

  • Silverlight 4 or 5

RavenDB Server / Embedded

  • .NET Framework 4.0
  • Windows
Comments add new comment

The comments section is for user feedback or community content. If you seek assistance or have any questions, please post them at our support forums.

Vincenzo
REPLY Posted by Vincenzo on

Can RavenDB server run on mono?

Ayende Rahien
REPLY Posted by Ayende Rahien on

Not as of 2.5, in 3.0, that is one of the things that we intend to do.

Vincenzo
REPLY Posted by Vincenzo on

that's a very bad news!

Porcos
REPLY Posted by Porcos on

Any exstimated date for that?

Gleb
REPLY Posted by Gleb on

Any particular problems why Raven wouldn't run on Linux? Is this storage system limitations?

SUBMIT COMMENT